#property indicator_chart_window

extern   int      TimeFrame   = PERIOD_H1;
extern   int      MA_Period   = 20;
extern   int      Minutes     = 0;
extern   string   SoundFile   = "news.wav";

int   PrevHour = -1;

int init()
{
   if (Minutes == 0)
      PrevHour = Hour();
   else
      PrevHour = -1;
}

int start()
{
   if (PrevHour != Hour() && (Minutes == 0 || Minute() >= Minutes))
   {
      int i;
      if (Minutes == 0)
      {
         PrevHour = Hour();
         i = 1;
      }
      else
         i = 0;
      
      double MA = iMA(Symbol(), TimeFrame, MA_Period, 0, MODE_SMA, PRICE_CLOSE, i);
      
      if (MA >= iLow(Symbol(), TimeFrame, i) && MA <= iHigh(Symbol(), TimeFrame, i))
      {
         PrevHour = Hour();
         PlaySound(SoundFile);
         Print("SMA  ", MA_Period, "   ", i, "!!!");
      }
   }
   return(0);
}